Subject: Re: bug#77224: [PATCH] New minor mode 'cursor-indicators-mode'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 29 Mar 2025 11:17:30 +0300

> From: Daniel Mendler <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sat, 29 Mar 2025 08:52:09 +0100
> 
> The `hl-line-highlight' moves the line highlight overlay, such that it
> moves immediately with the cursor and does not lag behind.

You may not be aware, but moving and changing overlays disables some
redisplay optimizations, and in many cases can trigger an additional
immediate redisplay cycle.  So doing that after every command exits
in practice means every redisplay cycle is adversely affected.

> The only seemingly problematic hook is `whitespace-post-command'. I
> haven't checked it in detail. It looks complex but it mostly seems to
> modify some overlays and trigger fontification. Potentially some of the
> work there could be deferred.